Subject: Re: bug#42383: 28.0.50; Two bugs with M-x compile

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jul 2020 11:22:50 +0300

unarchive 10417
reopen 10417
unarchive 34330
reopen 34330
thanks

> From: Alex Branham <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Gregory Heytings <[email-masked]>,
>   [email-masked]
> Date: Thu, 16 Jul 2020 17:39:57 -0400
> 
> > yet, `pcomplete-completions-at-point` is supposed to perform filename
> > completion also (via `pcomplete-default-completion-function`), so
> > I think `pcomplete-completions-at-point` should come first and I suspect
> > that the problem in bug#34330 is internal to pcomplete and the above
> > commit just worked around it.
> 
> I find pcomplete really confusing (why is it that there's a whole second
> kind of completion framework outside completion-at-point?). But yes,
> sounds like this should be reverted. I didn't notice this regression
> since I use ivy which obviates the need to re-complete after typing a
> letter.
> 
> Someone will need to reopen bugs #10417 and #34330.

OK, thanks.  I've reverted the change and reopened those two bugs.